
BIBD 3.9.7.1 - Bug #16991

[MIB BE][AP-21597] Deduction During Confirm / Cant proceed transaction

18 July 2023 05:57 PM - Feerman Yusoff

Status: Resolved Start date: 18 July 2023

Priority: Normal Due date:  

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Description:

Steps:

1. Login into BIBD

2. Click Transfer Services

3. Select Transfer Within BIBD (Own Account)

4. Select Transfer FROM/TO and Insert Amount

5. Quickly click ‘Confirm’ button multiple times

Issue:

- Double deduction on a single transfer display in transaction history

- BE receive double request

Expected:

Apply AP-4518 fixes to Transfer Own, RTGS/ACH and TT.

When BE catch multiple request, throw Service Unavailable error for the next request.

Fixes should Apply to modules:

- Transfer Own

- RTGS/ACH

- TT

History

#1 - 18 July 2023 06:08 PM - See Pin Leng

- Status changed from UAT to Resolved

- Assignee changed from See Pin Leng to Feerman Yusoff

fixes done. 100%

#2 - 20 July 2023 01:28 PM - Feerman Yusoff

- Subject changed from [MIB BE][AP-21597] Double Deduction During Confirm to [MIB BE][AP-4518] Cant proceed transaction

#3 - 20 July 2023 02:03 PM - Feerman Yusoff

- Subject changed from [MIB BE][AP-4518] Cant proceed transaction to [MIB BE][AP-21597] Deduction During Confirm / Cant proceed transaction

#4 - 25 July 2023 09:41 AM - Feerman Yusoff

- File AP-21597_AP-4518.pptx added

- Assignee changed from Feerman Yusoff to Nor Khairun Aqila Jesmen

Retested in ver 13.9.6

Issue:

- Confirm button be able to click multiple times

- Double deduction on a single transfer display in transaction history

- Transaction got sent twice into BE
Expected:

For any second or next request for the same transaction received, Mobile Backend will throw a ‘Service Unavailable’ error

Result: As expected

- Mobile BE catch multiple requests from a single transaction, the first request is approved, and the second request will be rejected and throw ‘Service

Unavailable’ error.

Fixes applied to:

- Transfer Own

- RTGS/ACH

- TT

#5 - 25 July 2023 09:42 AM - Feerman Yusoff

- % Done changed from 0 to 100

Files

AP-21597_AP-4518.pptx 1.31 MB 25 July 2023 Feerman Yusoff

Powered by TCPDF (www.tcpdf.org)

22 April 2025 2/2

http://www.tcpdf.org

